Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 18 Nov 2022 11:23:17 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I want to complain about my order number 9400603343. I was supposed to get the delivery yesterday but the delivery guy never came. And he made the wrong comments that the COD is not available. He didn’t come and now he is not even picking up the call. I need my package today before 5pm. It’s a gift for someone. I already have complained twice from this morning to the max call centre but still no progress. Is there anyone who listens to the customer complaint at max or not?? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5292871